package com.buy507.mall.mapper;

import com.buy507.mall.model.UmsMemberOrderQueue;
import com.buy507.mall.model.UmsMemberOrderQueueExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;


public interface UmsMemberOrderQueueMapper {
    long countByExample(UmsMemberOrderQueueExample example);

    int deleteByExample(UmsMemberOrderQueueExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsMemberOrderQueue record);

    int insertSelective(UmsMemberOrderQueue record);

    List<UmsMemberOrderQueue> selectByExample(UmsMemberOrderQueueExample example);

    UmsMemberOrderQueue selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsMemberOrderQueue record, @Param("example") UmsMemberOrderQueueExample example);

    int updateByExample(@Param("record") UmsMemberOrderQueue record, @Param("example") UmsMemberOrderQueueExample example);

    int updateByPrimaryKeySelective(UmsMemberOrderQueue record);

    int updateByPrimaryKey(UmsMemberOrderQueue record);

    /**
     * 下一个退出队列
     * @return
     */
    UmsMemberOrderQueue getNextOrderQueueInfo(Integer state);
}